<?php

function thb_get_about_templates( $template_list ) {
	$template_list['about_section_01'] = array(
		'name'      => esc_html__( 'About Section - 01', 'werkstatt' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri . 'assets/img/admin/about/about-e1.jpg',
		'cat'       => array( 'about' ),
		'sc'        => '[vc_row thb_full_width="true" thb_row_padding="true" thb_column_padding="true" thb_divider_position="bottom" css=".vc_custom_1541579311012{padding-top: 16vh !important;padding-bottom: 16vh !important;background-color: #fbfbdb !important;}"][vc_column][vc_row_inner thb_max_width="max_width"][vc_column_inner width="1/2" css=".vc_custom_1541580477962{padding-top: 10vh !important;}"][thb_slidetype slide_text="<h2>*We design new business;models, create new services,;<em>products</em> and <em>experiences</em>,;and work with clients.*</h2>" thb_animated_color="#1f2a69"][vc_column_text animation="animation fade-in" css=".vc_custom_1541579912642{padding-right: 10% !important;}"]<span style="color: #1f2a69;">Creation and rejuvenation of brand thinking. We develop positioning strategies which allow brands to transcend the confines of their category and occupy deeply meaningful territories. We also take a brand-led view of innovation.</span>[/vc_column_text][thb_button_text style="style4" animation="animation right-to-left" link="url:https%3A%2F%2Fthemeforest.net%2Fitem%2Fwerkstatt-creative-portfolio-theme%2F17870799%3Fref%3Dfuelthemes|title:Our%20Studio|target:%20_blank|"][/vc_column_inner][vc_column_inner width="1/2"][thb_image animation="animation right-to-left" image="394"][/thb_image][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]',
	);
	$template_list['about_section_02'] = array(
		'name'      => esc_html__( 'About Section - 02', 'werkstatt' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri . 'assets/img/admin/about/about-e2.jpg',
		'cat'       => array( 'about' ),
		'sc'        => '[vc_row thb_full_width="true" thb_row_padding="true" thb_column_padding="true" thb_divider_position="bottom" css=".vc_custom_1541581338894{padding-top: 12vh !important;padding-bottom: 12vh !important;background: #2546d5 url(http://werkstatt.fuelthemes.net/werkstatt-rudiger/wp-content/uploads/sites/34/2018/11/r06.jpg?id=396) !important;}"][vc_column][vc_row_inner thb_max_width="max_width"][vc_column_inner][thb_slidetype slide_text="<h3>*Get in Touch*</h3>" style="style2" thb_animated_color="#ffffff"][/vc_column_inner][/vc_row_inner][vc_row_inner thb_max_width="max_width"][vc_column_inner width="2/3"][thb_slidetype slide_text="<h2>*Have any questions? Feel free to say hello - hi@fuelthemes.net *</h2>" thb_animated_color="#ff6f6f"][/vc_column_inner][vc_column_inner el_class="text-right" width="1/3"][/vc_column_inner][/vc_row_inner][vc_row_inner thb_max_width="max_width" css=".vc_custom_1541582281807{padding-top: 4vh !important;}"][vc_column_inner width="1/4"][thb_image retina="retina_size" animation="animation top-to-bottom" image="397"][/thb_image][/vc_column_inner][vc_column_inner width="1/4"][thb_image retina="retina_size" animation="animation top-to-bottom" image="398"][/thb_image][/vc_column_inner][vc_column_inner width="1/4"][thb_image retina="retina_size" animation="animation top-to-bottom" image="399"][/thb_image][/vc_column_inner][vc_column_inner width="1/4"][thb_image retina="retina_size" animation="animation top-to-bottom" image="400"][/thb_image][/vc_column_inner][/vc_row_inner][vc_row_inner][vc_column_inner el_class="text-center"][vc_empty_space height="46px"][thb_button style="thb-border-style" color="white" animation="animation fade-in" link="url:https%3A%2F%2Finstagram.com%2Ffuelthemes%2F|title:Follow%20Us%20on%20Instagram|target:%20_blank|"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]',
	);

	$template_list['about_section_03'] = array(
		'name'      => esc_html__( 'About Section - 03', 'werkstatt' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri . 'assets/img/admin/about/about-e3.jpg',
		'cat'       => array( 'about' ),
		'sc'        => '[vc_row thb_divider_position="bottom" el_class="align-center"][vc_column el_class="text-center" offset="vc_col-lg-6 vc_col-md-9"][thb_slidetype slide_text="<h2>*Our Approach*</h2>"][vc_column_text animation="animation fade-in"]<span style="font-size: 14px; color: #121212;">Itself so likeness place the forth seed. Evening were his it blessed Given Face above. Their evening his female, appear also deep.</span>[/vc_column_text][vc_empty_space][/vc_column][/vc_row][vc_row thb_full_width="true" thb_row_padding="true" thb_column_padding="true" thb_divider_position="bottom" css=".vc_custom_1557941284612{padding-bottom: 100px !important;}"][vc_column width="1/3" css=".vc_custom_1557940823381{padding-top: 10% !important;padding-right: 10% !important;padding-bottom: 10% !important;padding-left: 10% !important;background-color: #fee899 !important;}"][thb_iconbox type="top type4" height="50vh" link="url:http%3A%2F%2Fwerkstatt.fuelthemes.net%2Fwerkstatt-ninetythree%2Fabout-us-agency%2F|title:LEARN%20MORE||" heading="It’s the <em>creative</em> hook that draws people into the brand." description="Sometimes the experience is affinity for the brand through mass communications, other times it’s the digital lure that pulls them directly into a purchase funnel resulting in qualified sales leads."][/vc_column][vc_column width="1/3" css=".vc_custom_1557941269365{padding: 10% !important;background-color: #fec4c2 !important;}"][thb_iconbox type="top type4" height="50vh" link="url:http%3A%2F%2Fwerkstatt.fuelthemes.net%2Fwerkstatt-ninetythree%2Fabout-us-agency%2F|title:LEARN%20MORE||" heading="The technology that’s used to tell <em>your</em> story." description="Sometimes the experience is affinity for the brand through mass communications, other times it’s the digital lure that pulls them directly into a purchase funnel resulting in qualified sales leads."][/vc_column][vc_column width="1/3" css=".vc_custom_1557941275424{padding: 10% !important;background-color: #c5ebf6 !important;}"][thb_iconbox type="top type4" height="50vh" link="url:http%3A%2F%2Fwerkstatt.fuelthemes.net%2Fwerkstatt-ninetythree%2Fabout-us-agency%2F|title:LEARN%20MORE||" heading="Strategy is <em>informed</em> by an understanding of the business." description="Sometimes the experience is affinity for the brand through mass communications, other times it’s the digital lure that pulls them directly into a purchase funnel resulting in qualified sales leads."][/vc_column][/vc_row]',
	);

	$template_list['about_section_04'] = array(
		'name'      => esc_html__( 'About Section - 04', 'werkstatt' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri . 'assets/img/admin/about/about-e4.jpg',
		'cat'       => array( 'about' ),
		'sc'        => '[vc_row thb_full_width="true" thb_divider_position="bottom" css=".vc_custom_1561666221080{margin-bottom: 150px !important;}"][vc_column][thb_image_slider thb_style="style5" thb_pagination="" thb_navigation="true" images="417,420,421" thb_bg_color="rgba(130,36,227,0.83)"][/vc_column][/vc_row]',
	);

	$template_list['about_section_05'] = array(
		'name'      => esc_html__( 'About Section - 05', 'werkstatt' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri . 'assets/img/admin/about/about-e5.jpg',
		'cat'       => array( 'about' ),
		'sc'        => '[vc_row content_placement="middle" thb_divider_position="bottom" css=".vc_custom_1588768502426{padding-top: 140px !important;padding-bottom: 80px !important;}"][vc_column width="1/2" css=".vc_custom_1588684492138{padding-right: 30px !important;padding-bottom: 60px !important;}"][thb_slidetype slide_text="<h2>*Here’s What Our Digital;Agency Do*</h2>" extra_class="thb-slide-type-largeh2"][vc_column_text animation="animation fade-in"]As the best agency for digital marketing, our core service is to design, develop and manage custom digital solutions. We have the means, knowledge, experience, and dedication to act as your full-service digital partner in the USA, providing the best result–driven SEO &amp; Digital Marketing strategies with high ROI.[/vc_column_text][thb_button_text style="style6" animation="animation fade-in" link="url:https%3A%2F%2Fwerkstatt.fuelthemes.net%2Fwerkstatt-collective%2Fabout-us-agency%2F|title:About%20Collective||"][/vc_column][vc_column width="1/2" css=".vc_custom_1588684072239{padding-right: 35px !important;padding-bottom: 60px !important;padding-left: 35px !important;}" el_class="text-center"][thb_cascading_parent][thb_cascading retina="retina_size" animation="animation fade-in" image="659"][thb_cascading image_x="-15%" image_y="-40%" retina="retina_size" animation="animation scale" image="660"][thb_cascading image_x="115%" image_y="-55%" retina="retina_size" animation="animation scale" image="661"][thb_cascading image_x="90%" image_y="60%" retina="retina_size" animation="animation scale" image="662"][/thb_cascading_parent][/vc_column][/vc_row]',
	);

	$template_list['about_section_06'] = array(
		'name'      => esc_html__( 'About Section - 06', 'werkstatt' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri . 'assets/img/admin/about/about-e6.jpg',
		'cat'       => array( 'about' ),
		'sc'        => '[vc_row thb_full_width="true" thb_row_padding="true" thb_column_padding="true" thb_divider_position="bottom" css=".vc_custom_1610361293792{padding-top: 40px !important;padding-bottom: 100px !important;background-color: #19191c !important;}"][vc_column][vc_row_inner thb_max_width="max_width"][vc_column_inner thb_color="thb-light-column" width="1/2" css=".vc_custom_1610718947550{padding-right: 5% !important;}"][thb_label animation="animation scale" css=".vc_custom_1610639969747{margin-bottom: 30px !important;border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 11px !important;padding-right: 15px !important;padding-bottom: 12px !important;padding-left: 15px !important;border-left-color: rgba(255,255,255,0.2) !important;border-left-style: solid !important;border-right-color: rgba(255,255,255,0.2) !important;border-right-style: solid !important;border-top-color: rgba(255,255,255,0.2) !important;border-top-style: solid !important;border-bottom-color: rgba(255,255,255,0.2) !important;border-bottom-style: solid !important;border-radius: 5px !important;}" extra_class="primary-font"]<span style="font-size: 13px; letter-spacing: -0.02em; font-weight: 600; color: #ffffff;">01. About Bold Studio</span>[/thb_label][thb_gradienttype gradient_text="<h2>Founded In 2016, Our Studio Specialises In User Experience.</h2>" bg_gradient1="#ffcc90" bg_gradient2="#f670c1" extra_class="extra-large-h2"][vc_column_text animation="animation right-to-left-3d"]We work with a diverse selection of clients, from small start-ups to established companies and organisations, delivering bespoke solutions rooted in usability, creativity, aesthetics and craft.[/vc_column_text][thb_button_text animation="animation right-to-left" style="style4" link="url:https%3A%2F%2Fwerkstatt.fuelthemes.net%2Fwerkstatt-bold%2Fabout-us-agency%2F|title:Our%20Studio"][/vc_column_inner][vc_column_inner width="1/2"][thb_image retina="retina_size" animation="animation right-to-left-3d" alignment="alignright" image="667"][/thb_image][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]',
	);

	$template_list['about_section_07'] = array(
		'name'      => esc_html__( 'About Section - 07', 'werkstatt' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri . 'assets/img/admin/about/about-e7.jpg',
		'cat'       => array( 'about' ),
		'sc'        => '[vc_row thb_divider_position="bottom" css=".vc_custom_1610641884764{padding-top: 100px !important;padding-bottom: 100px !important;}"][vc_column][vc_row_inner thb_column_padding="true" thb_border_radius="6px 80px 6px 6px" css=".vc_custom_1610617092690{background-color: #382abe !important;}"][vc_column_inner width="1/2" css=".vc_custom_1610621107318{padding-top: 10% !important;padding-right: 10% !important;padding-bottom: 10% !important;padding-left: 10% !important;}" offset="vc_col-lg-6 vc_col-md-12"][thb_label animation="animation scale" css=".vc_custom_1610640020035{margin-bottom: 30px !important;border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 11px !important;padding-right: 15px !important;padding-bottom: 12px !important;padding-left: 15px !important;border-left-color: rgba(255,255,255,0.2) !important;border-left-style: solid !important;border-right-color: rgba(255,255,255,0.2) !important;border-right-style: solid !important;border-top-color: rgba(255,255,255,0.2) !important;border-top-style: solid !important;border-bottom-color: rgba(255,255,255,0.2) !important;border-bottom-style: solid !important;border-radius: 5px !important;}" extra_class="primary-font"]<span style="font-size: 13px; letter-spacing: -0.02em; font-weight: 600; color: #ffffff;">03. Our Services</span>[/thb_label][thb_slidetype slide_text="<h2>*We will help you to ideate, design and implement your product from conception to iterative.*</h2>" thb_animated_color="#ffffff" extra_class="large-h2"][vc_empty_space height="26px"][thb_button style="thb-pill-style" color="accent" size="regular" animation="animation fade-in" link="url:https%3A%2F%2Fwerkstatt.fuelthemes.net%2Fwerkstatt-bold%2Fabout-us-agency%2F|title:View%20All%20Services"][/vc_column_inner][vc_column_inner width="1/2" css=".vc_custom_1610621286059{padding-top: 8% !important;padding-right: 10% !important;padding-bottom: 235px !important;padding-left: 10% !important;background-image: url(https://werkstatt.fuelthemes.net/werkstatt-bold/wp-content/uploads/sites/38/2021/01/center-bg.png?id=656) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" thb_border_radius="6px 80px 6px 6px" offset="vc_hidden-md vc_hidden-sm vc_hidden-xs"][thb_cascading_parent][thb_cascading retina="retina_size" animation="animation scale" thb_box_shadow="thb_box_shadow" image="657"][thb_cascading image_x="115%" image_y="-35%" retina="retina_size" animation="animation fade-in" thb_box_shadow="thb_box_shadow" image="658"][thb_cascading image_y="115%" retina="retina_size" animation="animation scale" thb_box_shadow="thb_box_shadow" image="659" max_width="none"][thb_cascading image_x="115%" image_y="80%" retina="retina_size" animation="animation scale" thb_box_shadow="thb_box_shadow" image="658"][/thb_cascading_parent][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]',
	);
	return $template_list;
}
