<?php

function thb_get_blog_templates( $template_list ) {
	$template_list['blog_section_01'] = array(
		'name'      => esc_html__( 'Blog Section - 01', 'werkstatt' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri . 'assets/img/admin/blog/blog-e1.jpg',
		'cat'       => array( 'blog', 'about' ),
		'sc'        => '[vc_row css=".vc_custom_1476283779757{padding-bottom: 15vh !important;}" el_class="align-center"][vc_column offset="vc_col-lg-10 vc_col-md-10" css=".vc_custom_1476283406219{padding-top: 10vh !important;}"][vc_column_text animation="animation fade-in" el_class="text-center"]<span style="font-size: 12px; color: #111; letter-spacing: 0.2em;">LATEST AND GREATEST POSTS</span>[/vc_column_text][vc_empty_space height="20px"][thb_post style="style6-alt" columns="large-4" item_count="3"][vc_empty_space height="20px"][vc_row_inner][vc_column_inner el_class="text-center"][thb_button style="thb-text-style" animation="animation fade-in" icon="" link="url:http%3A%2F%2Fwerkstatt.fuelthemes.net%2Fwerkstatt-agency-modern%2Fblog%2F|title:VIEW%20ALL%20POSTS||"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]',
	);
	$template_list['blog_section_02'] = array(
		'name'      => esc_html__( 'Blog Section - 02', 'werkstatt' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri . 'assets/img/admin/blog/blog-e2.jpg',
		'cat'       => array( 'blog', 'about' ),
		'sc'        => '[vc_row thb_divider_position="bottom" css=".vc_custom_1541581151469{padding-top: 14vh !important;padding-bottom: 16vh !important;}"][vc_column][thb_slidetype slide_text="<h3>*Latest Posts*</h3>" style="style2" thb_animated_color="#6dfd8c"][vc_empty_space][vc_row_inner][vc_column_inner width="2/3"][thb_slidetype slide_text="<h2>*This is selection of blogs talking about;design industry and agency.*</h2>" thb_animated_color="#0a0a0a"][/vc_column_inner][vc_column_inner el_class="text-right" width="1/3"][thb_button style="thb-border-style" animation="animation fade-in" link="url:http%3A%2F%2Fwerkstatt.fuelthemes.net%2Fwerkstatt-rudiger%2Fblog%2F|title:View%20All%20Posts||"][/vc_column_inner][/vc_row_inner][vc_empty_space height="40px"][thb_post style="style9" source="size:6|post_type:post"][/vc_column][/vc_row]',
	);

	$template_list['blog_section_03'] = array(
		'name'      => esc_html__( 'Blog Section - 03', 'werkstatt' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri . 'assets/img/admin/blog/blog-e3.jpg',
		'cat'       => array( 'blog', 'about' ),
		'sc'        => '[vc_row thb_divider_position="bottom" el_class="align-center"][vc_column el_class="text-center" offset="vc_col-lg-5 vc_col-md-8"][thb_slidetype slide_text="<h2>*News &amp; Experiments*</h2>"][vc_empty_space height="40px"][/vc_column][/vc_row][vc_row thb_divider_position="bottom" css=".vc_custom_1557934912660{padding-bottom: 100px !important;}"][vc_column][thb_post columns="large-4" style="style10" source="size:3|post_type:post"][vc_empty_space height="20px"][vc_row_inner][vc_column_inner el_class="text-center"][thb_button style="thb-text-style" size="small" animation="animation fade-in" link="url:http%3A%2F%2Fwerkstatt.fuelthemes.net%2Fwerkstatt-ninetythree%2Fgrid-3-columns%2F|title:VIEW%20MORE%20POSTS||"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]',
	);

	$template_list['blog_section_04'] = array(
		'name'      => esc_html__( 'Blog Section - 04', 'werkstatt' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri . 'assets/img/admin/blog/blog-e4.jpg',
		'cat'       => array( 'blog', 'about' ),
		'sc'        => '[vc_row thb_divider_position="bottom"][vc_column el_class="text-center"][thb_slidetype slide_text="<h6>*FROM THE BLOG*</h6>" thb_animated_color="#6e6e6e"][vc_empty_space mobile_height="20px" height="40px"][thb_slidetype slide_text="<h3><strong>*Our latest industry insights and updates*</strong></h3>" style="style2"][vc_empty_space mobile_height="25px" height="50px"][/vc_column][/vc_row][vc_row thb_divider_position="bottom" el_class="align-center"][vc_column offset="vc_col-lg-9 vc_col-md-11"][thb_post source="size:4|post_type:post" style="style11"][/vc_column][/vc_row][vc_row thb_divider_position="bottom"][vc_column el_class="text-center"][vc_empty_space mobile_height="15px" height="30px"][thb_button style="thb-border-line-style" size="regular" animation="animation fade-in" link="url:http%3A%2F%2Fwerkstatt.fuelthemes.net%2Fwerkstatt-dny%2Fblog%2F|title:VIEW%20ALL%20POSTS||"][vc_empty_space mobile_height="70px" height="150px"][/vc_column][/vc_row]',
	);

	$template_list['blog_section_05'] = array(
		'name'      => esc_html__( 'Blog Section - 05', 'werkstatt' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri . 'assets/img/admin/blog/blog-e5.jpg',
		'cat'       => array( 'blog', 'about' ),
		'sc'        => '[vc_row thb_divider_position="bottom" css=".vc_custom_1588605920865{padding-bottom: 5vh !important;}"][vc_column][vc_empty_space height="100px"][thb_slidetype slide_text="<h3>*Latest updates*</h3>" thb_animated_color="#121212"][vc_empty_space height="36px"][thb_post columns="large-6" source="size:2|post_type:post" style="style12"][/vc_column][/vc_row]',
	);

	$template_list['blog_section_06'] = array(
		'name'      => esc_html__( 'Blog Section - 06', 'werkstatt' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri . 'assets/img/admin/blog/blog-e6.jpg',
		'cat'       => array( 'blog', 'about' ),
		'sc'        => '[vc_row thb_full_width="true" thb_row_padding="true" thb_column_padding="true" thb_divider_position="bottom" css=".vc_custom_1610621627205{padding-top: 100px !important;padding-bottom: 200px !important;background-color: #1e1e23 !important;}"][vc_column thb_color="thb-light-column"][vc_row_inner thb_max_width="max_width" content_placement="bottom"][vc_column_inner width="1/2"][thb_label animation="animation scale" css=".vc_custom_1610720709146{margin-bottom: 30px !important;border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 11px !important;padding-right: 15px !important;padding-bottom: 12px !important;padding-left: 15px !important;border-left-color: rgba(255,255,255,0.2) !important;border-left-style: solid !important;border-right-color: rgba(255,255,255,0.2) !important;border-right-style: solid !important;border-top-color: rgba(255,255,255,0.2) !important;border-top-style: solid !important;border-bottom-color: rgba(255,255,255,0.2) !important;border-bottom-style: solid !important;border-radius: 5px !important;}" extra_class="primary-font"]<span style="font-size: 13px; letter-spacing: -0.02em; font-weight: 600; color: #ffffff;">05. Insights</span>[/thb_label][thb_slidetype slide_text="<h2>*Latest Insights &amp; Updates*</h2>" style="style2" thb_animated_color="#ffffff"][vc_empty_space height="20px"][/vc_column_inner][vc_column_inner el_class="medium-text-right" width="1/2"][thb_button_text animation="animation right-to-left" style="style4" link="url:https%3A%2F%2Fwerkstatt.fuelthemes.net%2Fwerkstatt-bold%2Fgrid-3-columns%2F|title:View%20All%20Works"][vc_empty_space height="40px"][/vc_column_inner][/vc_row_inner][vc_row_inner thb_max_width="max_width"][vc_column_inner][thb_post columns="large-4" style="style6-alt" source="size:3|post_type:post"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]',
	);

	return $template_list;
}
