<?php

function thb_get_cta_templates( $template_list ) {
	$template_list['cta_section_01'] = array(
		'name'      => esc_html__( 'CTA Section - 01', 'werkstatt' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri . 'assets/img/admin/cta/cta-e1.jpg',
		'cat'       => array( 'cta' ),
		'sc'        => '[vc_row thb_full_width="true" css=".vc_custom_1474984884861{padding-top: 20vh !important;padding-bottom: 15vh !important;background-image: url(http://werkstatt.fuelthemes.net/werkstatt-agency/wp-content/uploads/sites/2/2016/09/a_01_opt.jpg?id=292) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" el_class="align-center"][vc_column offset="vc_col-lg-8 vc_col-md-9" el_class="text-center"][vc_column_text animation="animation fade-in" css=".vc_custom_1474984222233{padding-right: 15% !important;padding-left: 15% !important;}"]
		<h1><span style="color: #ef173b;">Let’s Work Together</span></h1>
		At last, passage paid, and luggage safe, we stood on board the schooner. Hoisting sail, it glided down the Acushnet river. On one side, New Bedford rose in terraces of streets, their ice-covered trees all glittering in the clear, cold air. Huge hills and mountains of casks on casks were piled.[/vc_column_text][thb_button style="thb-border-style" animation="animation bottom-to-top" icon="" link="url:https%3A%2F%2Fthemeforest.net%2Fitem%2Fwerkstatt-creative-portfolio-theme%2F17870799%3Fref%3Dfuelthemes|title:Get%20Started|target:%20_blank|"][/vc_column][/vc_row]',
	);
	$template_list['cta_section_02'] = array(
		'name'      => esc_html__( 'CTA Section - 02', 'werkstatt' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri . 'assets/img/admin/cta/cta-e2.jpg',
		'cat'       => array( 'cta' ),
		'sc'        => '[vc_row thb_full_width="true" parallax="content-moving" parallax_image="362" thb_divider_position="bottom" css=".vc_custom_1488552457183{padding-top: 15vh !important;padding-bottom: 15vh !important;background-color: #191818 !important;background-position: center;background-repeat: no-repeat !important;background-size: cover !important;}" el_class="align-center"][vc_column thb_color="thb-light-column" el_class="text-center brush-column" offset="vc_col-lg-6 vc_col-md-10" css=".vc_custom_1479406153102{background-image: url(http://werkstatt.fuelthemes.net/werkstatt-agency-digital/wp-content/uploads/sites/19/2016/09/f_02.png?id=349) !important;}"][vc_column_text]
		<h6 style="text-align: center;">ESTABLISHED 2014</h6>
		[/vc_column_text][vc_column_text animation="animation fade-in"]
		<p class="h1" style="text-align: center;">A Creative &amp; Production
		Studio, that loves to make
		you look good.</p>
		[/vc_column_text][thb_button style="thb-text-style" color="white" link="url:https%3A%2F%2Fthemeforest.net%2Fitem%2Fwerkstatt-creative-portfolio-theme%2F17870799|title:Lets%20Work%20Together|target:%20_blank|"][/vc_column][/vc_row]',
	);
	$template_list['cta_section_03'] = array(
		'name'      => esc_html__( 'CTA Section - 03', 'werkstatt' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri . 'assets/img/admin/cta/cta-e3.jpg',
		'cat'       => array( 'cta' ),
		'sc'        => '[vc_row thb_full_width="true" thb_row_padding="true" thb_column_padding="true" thb_color="light-title" css=".vc_custom_1500628989345{padding-top: 13vh !important;padding-bottom: 13vh !important;background: #1478f7 url(http://werkstatt.fuelthemes.net/werkstatt-landing-sphere/wp-content/uploads/sites/28/2016/09/gradient.png?id=431) !important;}" el_id="download"][vc_column thb_color="thb-light-column" el_class="text-center"][vc_column_text animation="animation bottom-to-top" el_class="text-center"]
		<h1 class="h1"><strong>Let the music flow!</strong></h1>
		[/vc_column_text][thb_button style="thb-pill-style" color="white" animation="animation bottom-to-top" link="url:https%3A%2F%2Fthemeforest.net%2Fitem%2Fwerkstatt-creative-portfolio-theme%2F17870799%3Fref%3Dfuelthemes|title:Download%20Now|target:%20_blank|"][/vc_column][/vc_row]',
	);

	$template_list['cta_section_04'] = array(
		'name'      => esc_html__( 'CTA Section - 04', 'werkstatt' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri . 'assets/img/admin/cta/cta-e4.jpg',
		'cat'       => array( 'cta' ),
		'sc'        => '[vc_row el_class="align-center center-quote" css=".vc_custom_1476206960211{margin-top: 10vh !important;margin-bottom: 10vh !important;padding-top: 10vh !important;padding-bottom: 10vh !important;background-image: url(http://werkstatt.fuelthemes.net/werkstatt-agency-modern/wp-content/uploads/sites/12/2016/09/m_a_01.jpg?id=321) !important;}"][vc_column el_class="text-center" offset="vc_col-lg-7 vc_col-md-9"][vc_column_text animation="animation fade-in"]<span style="font-size: 12px; color: #111; letter-spacing: 0.2em;">WHO WE ARE</span>[/vc_column_text][vc_column_text animation="animation fade-in"]
		<h1>We’re crazy about innovations and improving life with technology We pour our skills and passion into creating a digital product.</h1>
		[/vc_column_text][thb_button style="thb-text-style" animation="animation fade-in" icon="" link="url:https%3A%2F%2Fthemeforest.net%2Fitem%2Fwerkstatt-creative-portfolio-theme%2F17870799%3Fref%3Dfuelthemes|title:LEARN%20MORE|target:%20_blank|"][/vc_column][/vc_row]',
	);

	$template_list['cta_section_05'] = array(
		'name'      => esc_html__( 'CTA Section - 05', 'werkstatt' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri . 'assets/img/admin/cta/cta-e5.jpg',
		'cat'       => array( 'cta' ),
		'sc'        => '[vc_row thb_divider_position="bottom" el_class="align-center" css=".vc_custom_1561641278784{padding-top: 130px !important;padding-bottom: 130px !important;}"][vc_column offset="vc_col-lg-9 vc_col-md-11" el_class="text-center" css=".vc_custom_1561572607397{padding-right: 5% !important;padding-left: 5% !important;}"][thb_image retina="retina_size" animation="animation fade-in" alignment="aligncenter" image="416"][/thb_image][vc_empty_space mobile_height="35px" height="70px"][thb_slidetype slide_text="<h2><strong>*We’re proud not to be a studio that only works in one particular sector, instead we lead by our disruptive digital service offering.*</strong></h2>" style="style2"][vc_empty_space height="10"][thb_button_text style="style4" animation="animation fade-in" link="url:http%3A%2F%2Fwerkstatt.fuelthemes.net%2Fwerkstatt-dny%2Fabout-us-agency%2F|title:Take%20a%20look%20at%20our%20studio||"][/vc_column][/vc_row]',
	);

	$template_list['cta_section_06'] = array(
		'name'      => esc_html__( 'CTA Section - 06', 'werkstatt' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri . 'assets/img/admin/cta/cta-e6.jpg',
		'cat'       => array( 'cta' ),
		'sc'        => '[vc_row thb_divider_position="bottom" css=".vc_custom_1610614901918{margin-bottom: 100px !important;}"][vc_column animation="animation bottom-to-top-3d"][vc_row_inner thb_max_width="max_width" content_placement="middle" box_shadow="medium-shadow" css=".vc_custom_1610640942410{margin-top: -100px !important;padding-top: 30px !important;padding-right: 30px !important;padding-bottom: 30px !important;padding-left: 30px !important;background: #382abe url(https://werkstatt.fuelthemes.net/werkstatt-bold/wp-content/uploads/sites/38/2021/01/footer-top-content-bg.jpg?id=653) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" thb_border_radius="6px 6px 60px 6px"][vc_column_inner el_class="text-center" width="1/4"][thb_cascading_parent][thb_cascading image="651"][thb_cascading image_x="-25%" image_y="-10%" retina="retina_size" animation="animation scale" image="655" max_width="none"][/thb_cascading_parent][/vc_column_inner][vc_column_inner el_class="small-text-center medium-text-left" width="1/2"][vc_empty_space height="20px"][thb_slidetype slide_text="<h3>*Ready to take your WordPress site to the next level?*</h3>" thb_animated_color="#ffffff"][/vc_column_inner][vc_column_inner el_class="small-text-center medium-text-right" width="1/4" css=".vc_custom_1610614929033{padding-top: 30px !important;padding-right: 30px !important;padding-bottom: 30px !important;padding-left: 30px !important;}"][thb_button style="thb-pill-style" color="accent" size="large" animation="animation scale" link="url:https%3A%2F%2F1.envato.market%2FWjYqG|title:Purchase%20Today|target:_blank"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]',
	);
	return $template_list;
}
